﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Downmoon.Framework.Controllers;
using Downmoon.Framework.Model;
namespace dropdown_Ajax_Net2
{
    public partial class _Default : System.Web.UI.Page
    {
        #region Events

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                BindList();
            }
        }

        protected void dpProvince_SelectedIndexChanged(object sender, EventArgs e)
        {
            BindDropDownList(dpCity, dpProvince.SelectedValue);
        }

        protected void dpCity_SelectedIndexChanged(object sender, EventArgs e)
        {
            BindDropDownList(dpArea, dpCity.SelectedValue);
        }
        #endregion

        #region Metnods

        private void BindList()
        {
            BindDropDownList(dpProvince, "000000");
        }

        private void BindDropDownList(DropDownList dp, string filterID)
        {
            if (dp == null) { return; }
            dp.Items.Clear();
            List<Area> ls = GetAreaListByparentID(filterID);
            ls.Insert(0, new Area("", "请选择", 0, 1, filterID));
            dp.DataSource = ls;
            dp.DataTextField = "Area_Name";
            //dp.DataTextFormatString = "{0:C}";
            dp.DataValueField = "Area_ID";
            //dp.Items.Add(new ListItem("请选择","000000"));
            dp.DataBind();
        }

        public List<Area> GetAreaListByparentID(string parentId)
        {
            return Factory.GetAreaController().GetAreaListFindByParentID(parentId);
        }
      
        #endregion

      
    }
}