﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm2.aspx.cs" Inherits="dropdown_JQuery14_Net2.WebForm2" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        #dpCity
        {
            display: none;
            position: relative;
        }
        #dpArea
        {
            display: none;
            position: relative;
        }
    </style>
    <script language="javascript" type="text/javascript" src="Scripts/jquery-1.4.1.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        请选择省/市/区： &nbsp; &nbsp;<asp:DropDownList ID="dpProvince" runat="server" />
        &nbsp; &nbsp;<asp:DropDownList ID="dpCity" runat="server">
        </asp:DropDownList>
        &nbsp; &nbsp;<asp:DropDownList ID="dpArea" runat="server" AutoPostBack="false" />
    </div>
    <script language="javascript" type="text/javascript">
        $(function () {
            var $dp1 = $("#dpProvince");
            var $dp2 = $("#dpCity");
            var $dp3 = $("select[name$=dpArea]");
            $dp1.focus();
            //alert($dpCity);
            $dp1.bind("change keyup", function () {
                if ($(this).val() != "") {
                    //alert($("select option:selected").val());
                    loadAreas($("select option:selected").val(), "1");
                    $dp2.fadeIn("slow");
                } else {
                    $dp2.fadeOut("slow");
                }
            });
            $dp2.bind("change keyup", function () {
                if ($(this).val() != "") {
                    loadAreas($("select option:selected").val(), "2");
                    $dp3.fadeIn("slow");
                } else {
                    $dp3.fadeOut("slow");
                }
            });
        });
        function loadAreas(selectedItem, level) {
            //alert(selectedItem);
            //var html = 
            $.ajax({
                type: "POST",
                //通过服务获集合
                //url: "WS1.asmx/GetAreaListByparentID",
                //通过页面获取集合
                //url: "AjaxRequest.ashx?pid=" + selectedItem+"",
                //data: "{Area_FatherID : " + selectedItem + "}",
                url: "AjaxRequest.ashx?pid=" + selectedItem + "&t=" + Math.random(),
                //url: "jaxRequest.ashx/GetAreaListByparentID",
                //data:"{}",
                contentType: "application/json;charset=utf-8",
                dataType: "json",
                async: true,
                //beforeSend: function () { alert("before send called"); },  
                success: function Success(result) {
                    //alert("OK");
                    printAreas(result, level);
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) { alert(textStatus); }

            }); //.responseText;
        }
        function printAreas(data, level) {
            //alert(data.d);
            switch (level) {
                case "1":
                    $("select[name$=dpCity] > option").remove();
                    //alert(data.d);
                    for (var i = 0; i < data.length; i++) {
                        $("select[name$=dpCity]").append(
                        $("<option></option>").val(data[i].Area_ID).html(data[i].Area)
                        );
                    }
                    break;
                case "2":
                    $("select[name$=dpArea] > option").remove();
                    for (var i = 0; i < data.length; i++) {
                        $("select[name$=dpArea]").append(
                        $("<option></option>").val(data[i].Area_ID).html(data[i].Area)
                        );
                    }
                    break;
                default:
                    break;
            }
        }       

    </script>
    </form>
</body>
</html>
