﻿using System;
using System.Collections.Generic;
using System.Web;
using Downmoon.Framework.Controllers;
using Downmoon.Framework.Model;
using System.Text;
namespace dropdown_JQuery14_Net2
{
    /// <summary>
    /// Summary description for AjaxRequest
    /// </summary>
    public class AjaxRequest : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {

            string Area_FatherID = string.Empty;
            if (context.Request["pid"] != null)
            { Area_FatherID = context.Request["pid"].ToString(); }
            string parentId = string.Empty;
            //mydbDataContext db = new mydbDataContext();
            //根据传过来的Value值 进行查询
            //List<ChinaStates> list = db.ChinaStates.Where(c => c.ParentAreaCode == strId).ToList();
            List<Area> list = Factory.GetAreaController().GetAreaListFindByParentID(Area_FatherID);
            context.Response.ContentType = "application/json";
            context.Response.ContentEncoding = Encoding.UTF8;
            context.Response.Write(ListToJson(list));
            context.Response.End();
        }
        public string ListToJson(List<Area> list)
        {
            StringBuilder sb = new StringBuilder();
            if (list != null)
            {
                sb.Append("[");
                for (int i = 0; i < list.Count; i++)
                {
                    sb.Append("{");
                    sb.Append("\"Area_ID\":\"" + list[i].Area_ID + "\",");
                    sb.Append("\"Area_Name\":\"" + list[i].Area_Name + "\"");
                    //sb.Append("\"Area_FatherID\":\"" + list[i].Area_FatherID + "\"");
                    if (i != list.Count - 1)
                    {
                        sb.Append("},");
                    }
                }

            }
            sb.Append("}");
            sb.Append("]");
            return sb.ToString();
        }
        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}