﻿using System;
using System.Collections.Generic;
using System.Web;
using Downmoon.Framework.Controllers;
using Downmoon.Framework.Model;
using System.Text;
namespace dropdown_JQuery14_Net2
{
    /// <summary>
    /// Summary description for LoadList
    /// </summary>
    public class LoadList : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            string parentId = string.Empty;
            if (context.Request["ddlId"] != null)
            {
                parentId = context.Request["ddlId"].ToString();
            }


            //mydbDataContext db = new mydbDataContext();

            //根据传过来的Value值 进行查询
            //List<ChinaStates> list = db.ChinaStates.Where(c => c.ParentAreaCode == strId).ToList();
            List<Area> list = Factory.GetAreaController().GetAreaListFindByParentID(parentId);
            StringBuilder sb = new StringBuilder();
            if (list != null)
            {
                sb.Append("[");
                for (int i = 0; i < list.Count; i++)
                {
                    sb.Append("{");
                    sb.Append("\"Area_ID\":\"" + list[i].Area_ID + "\",");
                    sb.Append("\"Area_Name\":\"" + list[i].Area_Name + "\"");
                    if (i != list.Count - 1)
                    {
                        sb.Append("},");
                    }
                }

            }
            sb.Append("}");
            sb.Append("]");
            context.Response.ContentType = "application/json";
            context.Response.ContentEncoding = Encoding.UTF8;
            context.Response.Write(sb.ToString());
            context.Response.End();
            //context.Response.ContentType = "text/plain";
            //context.Response.Write("Hello World");
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}